Bug 1269252 - Make dhcp_agent, l3_agent, ovs_agent and metadata_agent user-configurable.
Make dhcp_agent, l3_agent, ovs_agent and metadata_agent user-configurable.
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 9.0 (Mitaka)
Assigned To: Jiri Stransky
Ofer Blaut
:
Depends On:
Blocks: 1298247
  Show dependency treegraph
 
Reported: 2015-10-06 15:37 EDT by Vinay Rao
Modified: 2017-01-13 14:07 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1298247 (view as bug list)
Environment:
Last Closed: 2017-01-13 14:07:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 230764 None None None Never

  None (edit)
Description Vinay Rao 2015-10-06 15:37:53 EDT
Description of problem:
The changes reported in https://review.openstack.org/#/c/230764/ have been made in order to make the enabling of dhcp_agent,l3,agent,ovs_agent and metadata_agent, user configurable. The default has been set to "true" which will allow these services to come up. If a user wishes to disable them as a part of overcloud bringup, they can do so by specifying the heat template as shown in environments/neutron-core-config.yaml file. 
These changes were made in the HA deployment code only. 
These changes are a part of the overall deployment that Nuage Networks is working on.
Comment 2 Emilien Macchi 2015-12-02 12:11:35 EST
Could you explain what do you need from OPM ? Do you need a patch in puppet-neutron ? If not, I think this bug targets the wrong project.
Comment 3 Brad P. Crochet 2016-01-13 09:46:59 EST
This should be on THT
Comment 4 Mike Burns 2016-04-07 16:54:03 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 6 Assaf Muller 2017-01-13 14:07:39 EST
The patch linked as an external tracker by this bug's reporter was merged and is available in OSP 9+.

Note You need to log in before you can comment on or make changes to this bug.